<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="bascula">
        <pm:header>
            Registros para modificar corridas
        </pm:header>
        <pm:content>
            <h:form id="indexForm">
                <p:panel id="lista" header="Bascula  LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]">
                    <p:messages id="mensaje" showDetail="true" autoUpdate="true" />
                    <p:growl id="growl" showDetail="true" sticky="true"></p:growl>
                    <p:scrollPanel mode="native" style="width:99%;height:500px">
                        <p:dataList id="datalist" value="#{corridasMB.todos}"
                                    var="registros" pt:data-filter="true"  
                                    pt:data-filter-placeholder="Búsqueda por filtro" style="width:98%;height:100%" >
                            <p:commandLink action="#{corridasMB.seleccionEditarMobile(registros)}"  update=":regEditar:regEdicion" >
                                <f:setPropertyActionListener
                                    value="#{registros}" target="#{corridasMB.seleccionado}" />   
                                <f:param name="id" value="#{registros.id}"/>
                                <h:panelGroup>
                                    <h:outputText value="#{registros.id} - #{registros.codigo} -  #{registros.folio} /  #{registros.productor}"/>
                                </h:panelGroup>
                            </p:commandLink>
                        </p:dataList>
                    </p:scrollPanel>
                </p:panel>
            </h:form>
        </pm:content>
    </pm:page>
    <pm:page id="regEditar">
        <pm:header>
            Reporte de Corrida
        </pm:header>
        <pm:content>
            <p:panel id="regEdicion" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                <h:form id="editForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="4" id="p1"  style="width: 100%" >
                        
                        <p:outputLabel for="Productor" value="Productor:"  style="font-weight: bold"/>
                        <p:inputText   id="Productor" value="#{corridasMB.seleccionado.productor}" readonly="true"  />
                        <p:outputLabel for="Folio" value="Folio:"  style="font-weight: bold"/>
                        <p:inputText   id="Folio" value="#{corridasMB.seleccionado.folio}" readonly="true" />

                        <p:outputLabel for="Comprador" value="Comprador:"  style="font-weight: bold"/>
                        <p:inputText   id="Comprador" value="#{corridasMB.seleccionado.comprador}" />
                        <p:outputLabel/>
                        <p:inputText   value="#{corridasMB.seleccionado.id}" type="hidden" /> 

                        <p:outputLabel for="Facturar" value="Facturar:"  style="font-weight: bold"/>
                        <p:inputText   id="Facturar" value="#{corridasMB.seleccionado.facturar}" />
                        <p:outputLabel/>
                        <p:outputLabel/>

                        <p:outputLabel for="Agronomo" value="Agrónomo"  style="font-weight: bold"/>
                        <p:inputText   id="Agronomo" value="#{corridasMB.seleccionado.agronomo}"  />
                        
                        <p:outputLabel for="Tipo" value="Tipo:"  style="font-weight: bold"/>
                        <p:selectOneMenu id="Tipo" value="#{corridasMB.seleccionado.tipo}">
                            <f:selectItem itemLabel="Revuelto" itemValue="Revuelto" />
                            <f:selectItem itemLabel="Empaque" itemValue="Empaque" />
                        </p:selectOneMenu>
                    </h:panelGrid>
                    <p:panel id="regEdicion11" header="Verdes">
                        <h:panelGrid columns="2" style="width: 100%"  border="1">
                            <p:outputLabel value="Calibre" style="font-weight: bold;width: 30%"/>
                            <p:outputLabel value="Cantidad" style="font-weight: bold;width: 70%"/>
                            <p:outputLabel for="v1" value="Japon"  style="font-weight: bold"/>
                            <p:inputNumber id="v1" value="#{corridasMB.seleccionado.verde_japon}"  />
                            <p:outputLabel for="v2" value="110"  style="font-weight: bold"/>
                            <p:inputNumber id="v2" value="#{corridasMB.seleccionado.verde_110}"   />
                            <p:outputLabel for="v3" value="150"  style="font-weight: bold"/>
                            <p:inputNumber id="v3" value="#{corridasMB.seleccionado.verde_150}"   />
                            <p:outputLabel for="v4" value="175"  style="font-weight: bold"/>
                            <p:inputNumber id="v4" value="#{corridasMB.seleccionado.verde_175}"  />
                            <p:outputLabel for="v5" value="200"  style="font-weight: bold"/>
                            <p:inputNumber id="v5" value="#{corridasMB.seleccionado.verde_200}" />
                            <p:outputLabel for="v6" value="230"  style="font-weight: bold"/>
                            <p:inputNumber id="v6" value="#{corridasMB.seleccionado.verde_230}" />
                            <p:outputLabel for="v7" value="250"  style="font-weight: bold"/>
                            <p:inputNumber id="v7" value="#{corridasMB.seleccionado.verde_250}" />
                            <p:outputLabel for="v8" value="Suma"  style="font-weight: bold"/>
                            <p:inputNumber id="v8" value="#{corridasMB.seleccionado.verde_suma}" />
                            
                        </h:panelGrid>
                    </p:panel>
                    <p:panel id="regEdicion22" header="Empaques"> 
                        <h:panelGrid columns="2"  style="width: 100%"  border="1">
                            <p:outputLabel value="Calibre" style="font-weight: bold;width: 30%"/>
                            <p:outputLabel value="Cantidad" style="font-weight: bold;width: 70%"/>
                            <p:outputLabel for="e2" value="110"  style="font-weight: bold"/>
                            <p:inputNumber id ="e2" value="#{corridasMB.seleccionado.empaque_110}" />
                            <p:outputLabel for="e3" value="150"  style="font-weight: bold"/>
                            <p:inputNumber id ="e3" value="#{corridasMB.seleccionado.empaque_150}"/>
                            <p:outputLabel for="e4" value="175"  style="font-weight: bold"/>
                            <p:inputNumber id ="e4" value="#{corridasMB.seleccionado.empaque_175}"  />
                            <p:outputLabel for="e5" value="200"  style="font-weight: bold"/>
                            <p:inputNumber id ="e5" value="#{corridasMB.seleccionado.empaque_200}" />
                            <p:outputLabel for="e6" value="230"  style="font-weight: bold"/>
                            <p:inputNumber id ="e6" value="#{corridasMB.seleccionado.empaque_230}" />
                            <p:outputLabel for="e7" value="250"  style="font-weight: bold"/>
                            <p:inputNumber id ="e7" value="#{corridasMB.seleccionado.empaque_250}" />
                            <p:outputLabel for="e8" value="Suma"  style="font-weight: bold"/>
                            <p:inputNumber id ="e8" value="#{corridasMB.seleccionado.empaque_suma}"/>
                        </h:panelGrid>
                    </p:panel>
                    <p:panel id="regEdicion33" header="Desechos">
                        <h:panelGrid columns="2"  style="width: 100%"  border="1">
                            <p:outputLabel value="Calibre" style="font-weight: bold;width: 30%"/>
                            <p:outputLabel value="Cantidad" style="font-weight: bold;width: 70%"/>
                            <p:outputLabel for="d2" value="Segundas"  style="font-weight: bold"/>
                            <p:inputNumber id ="d2" value="#{corridasMB.seleccionado.segundas}"/>
                            <p:outputLabel for="d3" value="Terceras"  style="font-weight: bold"/>
                            <p:inputNumber id ="d3" value="#{corridasMB.seleccionado.terceras}"/>
                            <p:outputLabel for="d4" value="Torreon"  style="font-weight: bold"/>
                            <p:inputNumber id ="d4" value="#{corridasMB.seleccionado.torreon}"  />
                            <p:outputLabel for="d5" value="Coleada"  style="font-weight: bold"/>
                            <p:inputNumber id ="d5" value="#{corridasMB.seleccionado.coleada}"/>
                            <p:outputLabel for="d6" value="Suma"  style="font-weight: bold"/>
                            <p:inputNumber id ="d6" value="#{corridasMB.seleccionado.corrida_suma}" />
                        </h:panelGrid>
                    </p:panel>
                    <p:commandButton value="Realizar suma" ajax="false" icon="ui-icon-contact"
                            action="#{corridasMB.guardarCorrida()}"
                            update=":bascula:lista" />
                </h:form>
            </p:panel>
        </pm:content> 
    </pm:page>
</h:body>
</html>